package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.diapersgetrecord.ElderlyDiapersGetRecordPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.diapersgetrecord.ElderlyDiapersGetRecordRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.diapersgetrecord.ElderlyDiapersGetRecordSaveReqVO;

public interface ElderlyDiapersGetRecordService {

    Long create(ElderlyDiapersGetRecordSaveReqVO createReqVO);

    void update(ElderlyDiapersGetRecordSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyDiapersGetRecordRespVO get(Long id);

    PageResult<ElderlyDiapersGetRecordRespVO> getPage(ElderlyDiapersGetRecordPageReqVO pageReqVO);
}
